#pragma once

namespace MDI_Lab2 {

	using namespace System;
	using namespace System::ComponentModel;
	using namespace System::Collections;
	using namespace System::Windows::Forms;
	using namespace System::Data;
	using namespace System::Drawing;

	ref class Form2;
 ref class Form1;
	 
	public ref class Form2 : public System::Windows::Forms::Form	{
	 public:		Form2 (Form1^ parent, String ^name)	{
			InitializeComponent();
			parentForm = parent;
			fileName = name;
		}
 	protected:		~Form2()		{
	 	if (components)	delete components;
	 }
	 private: Form1 ^ parentForm;
	 public: String ^ fileName;
  private: String ^ originalText;
	 private: System::Windows::Forms::TextBox^  textBox1;
	 private:	System::ComponentModel::Container ^components;

#pragma region Windows Form Designer generated code
		/// <summary>
		///      -  
		///       .
		/// </summary>
		void InitializeComponent(void)
		{
   this->textBox1 = (gcnew System::Windows::Forms::TextBox());
   this->SuspendLayout();
   this->textBox1->Dock = System::Windows::Forms::DockStyle::Fill;
   this->textBox1->Location = System::Drawing::Point(0, 0);
   this->textBox1->Margin = System::Windows::Forms::Padding(2);
   this->textBox1->Multiline = true;
   this->textBox1->Name = L"textBox1";
   this->textBox1->ScrollBars = System::Windows::Forms::ScrollBars::Vertical;
   this->textBox1->Size = System::Drawing::Size(212, 207);
   this->textBox1->TabIndex = 0;
   this->textBox1->TextChanged += gcnew System::EventHandler(this, &Form2::textBox1_TextChanged);
   this->AutoScaleDimensions = System::Drawing::SizeF(6, 13);
   this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
   this->ClientSize = System::Drawing::Size(212, 207);
   this->Controls->Add(this->textBox1);
   this->Margin = System::Windows::Forms::Padding(2);
   this->Name = L"Form2";
   this->Text = L"Form2";
   this->FormClosing += gcnew System::Windows::Forms::FormClosingEventHandler(this, &Form2::Form2_FormClosing);
   this->ResumeLayout(false);
   this->PerformLayout();

  }
#pragma endregion
  public: System::Void setText( System::String ^ message);
  private: int Write (System::Void);

  private: System::Void Form2_FormClosing(System::Object^  sender, System::Windows::Forms::FormClosingEventArgs^  e) {
   if (textBox1->Modified == false) return;
   auto MBox = MessageBox::Show("  . \n ?"," ",   
    MessageBoxButtons::YesNoCancel,MessageBoxIcon::Exclamation);
   if (MBox == Windows::Forms::DialogResult::No) return;
   if (MBox == Windows::Forms::DialogResult::Cancel) { e->Cancel = true; return; }
   Write();
  } 
                     
  private: System::Void textBox1_TextChanged(System::Object^  sender, System::EventArgs^  e) {
   if (originalText != textBox1->Text) textBox1->Modified = true;
   else textBox1->Modified = false;
  }

 }; ///////////////////////////////////////
}
