#pragma once

namespace MDI_Lab2 {

	using namespace System;
	using namespace System::ComponentModel;
	using namespace System::Collections;
	using namespace System::Windows::Forms;
	using namespace System::Data;
	using namespace System::Drawing;

	ref class Form1;
	ref class Form2;

	public ref class Form1 : public System::Windows::Forms::Form	{

	public:	Form1(void)		{
		InitializeComponent();
  Created = 1;
 }

 protected:		~Form1()	{
		if (components)	delete components;
	}
	
	private: System::Windows::Forms::MenuStrip^  menuStrip1;
	private: System::Windows::Forms::ToolStripMenuItem^  fileToolStripMenuItem;
	private: System::Windows::Forms::ToolStripMenuItem^  createToolStripMenuItem;
	private: System::Windows::Forms::ToolStripMenuItem^  exitToolStripMenuItem;
	private: System::Windows::Forms::ToolStripTextBox^  toolStripTextBox1;
	private: System::Windows::Forms::ToolStrip^  toolStrip1;
	private: System::Windows::Forms::ToolStripTextBox^  toolStripTextBox2;
	private: System::Windows::Forms::ToolStripTextBox^  toolStripTextBox3;
	private: System::Windows::Forms::ToolStripLabel^  toolStripLabel1;
 private: System::Windows::Forms::ToolStripMenuItem^  openToolStripMenuItem;
 private: System::Windows::Forms::OpenFileDialog^  openFileDialog1;
	private:		System::ComponentModel::Container ^components;

 private: int Created;
 private: Form2 ^ childForm;

#pragma region Windows Form Designer generated code
		/// <summary>
		///      -  
		///       .
		/// </summary>
		void InitializeComponent(void)
		{
   this->menuStrip1 = (gcnew System::Windows::Forms::MenuStrip());
   this->fileToolStripMenuItem = (gcnew System::Windows::Forms::ToolStripMenuItem());
   this->createToolStripMenuItem = (gcnew System::Windows::Forms::ToolStripMenuItem());
   this->openToolStripMenuItem = (gcnew System::Windows::Forms::ToolStripMenuItem());
   this->toolStripTextBox1 = (gcnew System::Windows::Forms::ToolStripTextBox());
   this->exitToolStripMenuItem = (gcnew System::Windows::Forms::ToolStripMenuItem());
   this->openFileDialog1 = (gcnew System::Windows::Forms::OpenFileDialog());
   this->menuStrip1->SuspendLayout();
   this->SuspendLayout();
   this->menuStrip1->Items->AddRange(gcnew cli::array< System::Windows::Forms::ToolStripItem^  >(1) {this->fileToolStripMenuItem});
   this->menuStrip1->Location = System::Drawing::Point(0, 0);
   this->menuStrip1->Name = L"menuStrip1";
   this->menuStrip1->Padding = System::Windows::Forms::Padding(4, 2, 0, 2);
   this->menuStrip1->Size = System::Drawing::Size(374, 24);
   this->menuStrip1->TabIndex = 0;
   this->menuStrip1->Text = L"menuStrip1";
   this->fileToolStripMenuItem->DropDownItems->AddRange(gcnew cli::array< System::Windows::Forms::ToolStripItem^  >(4) {this->createToolStripMenuItem, 
    this->openToolStripMenuItem, this->toolStripTextBox1, this->exitToolStripMenuItem});
   this->fileToolStripMenuItem->Name = L"fileToolStripMenuItem";
   this->fileToolStripMenuItem->Size = System::Drawing::Size(33, 20);
   this->fileToolStripMenuItem->Text = L"file";
   this->createToolStripMenuItem->Name = L"createToolStripMenuItem";
   this->createToolStripMenuItem->ShortcutKeys = static_cast<System::Windows::Forms::Keys>((System::Windows::Forms::Keys::Control | System::Windows::Forms::Keys::N));
   this->createToolStripMenuItem->Size = System::Drawing::Size(167, 22);
   this->createToolStripMenuItem->Text = L"";
   this->createToolStripMenuItem->Click += gcnew System::EventHandler(this, &Form1::createToolStripMenuItem_Click);
   this->openToolStripMenuItem->Name = L"openToolStripMenuItem";
   this->openToolStripMenuItem->Size = System::Drawing::Size(167, 22);
   this->openToolStripMenuItem->Text = L"";
   this->openToolStripMenuItem->Click += gcnew System::EventHandler(this, &Form1::openToolStripMenuItem_Click);
   this->toolStripTextBox1->Name = L"toolStripTextBox1";
   this->toolStripTextBox1->Size = System::Drawing::Size(100, 21);
   this->toolStripTextBox1->Text = L"400x300";
   this->exitToolStripMenuItem->Name = L"exitToolStripMenuItem";
   this->exitToolStripMenuItem->Size = System::Drawing::Size(167, 22);
   this->exitToolStripMenuItem->Text = L"";
   this->exitToolStripMenuItem->Click += gcnew System::EventHandler(this, &Form1::exitToolStripMenuItem_Click);
   this->openFileDialog1->FileName = L"openFileDialog1";
   this->openFileDialog1->Filter = L" |*.txt";
   this->AutoScaleDimensions = System::Drawing::SizeF(6, 13);
   this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
   this->ClientSize = System::Drawing::Size(374, 105);
   this->Controls->Add(this->menuStrip1);
   this->MainMenuStrip = this->menuStrip1;
   this->Margin = System::Windows::Forms::Padding(2);
   this->Name = L"Form1";
   this->Text = L"Form1";
   this->menuStrip1->ResumeLayout(false);
   this->menuStrip1->PerformLayout();
   this->ResumeLayout(false);
   this->PerformLayout();

  }
	
#pragma endregion

 private: System::Void createFile (String ^name,String ^message);
          
 private: System::Void createToolStripMenuItem_Click(System::Object^  sender, System::EventArgs^  e) {
  createFile("noname"+(Created++)+".txt","");
 }

 private: System::Void openToolStripMenuItem_Click(System::Object^  sender, System::EventArgs^  e) {
  openFileDialog1->ShowDialog();
  if (openFileDialog1->FileName == nullptr) return;
  try { //   StreamReader    
   System::Text::Encoding^ Coding = System::Text::Encoding::GetEncoding(1251); //  Windows
   auto Reader = gcnew IO::StreamReader(openFileDialog1->FileName,Coding);
   String ^message = Reader->ReadToEnd();
   Reader->Close();
   createFile (openFileDialog1->FileName,message);
  }
  catch (IO::FileNotFoundException^ ) {
   return; //     ""  
  }
  catch (Exception^ e) { //    
   MessageBox::Show(e->Message, "",MessageBoxButtons::OK,MessageBoxIcon::Exclamation);
  }
 }

private: System::Void exitToolStripMenuItem_Click(System::Object^  sender, System::EventArgs^  e) {
 Application::Exit();
}


}; ///////////////////////////////////////
}

